﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Smuggler
{
    public class MeshPartData
    {
        public IndexBuffer IndexBuffer { get; }
        public VertexBuffer VertexBuffer { get; }
        public Triangle[] Triangles { get; }
        public Vector3[] Positions { get; }

        public Texture2D AlbedoTexture { get; set; } = null;
        public Texture2D NormalTexture { get; set; } = null;
        public Texture2D MetallicRoughnessTexture { get; set; } = null;

        public Vector3 Albedo { get; set; } = Vector3.One;
        public float Metallic { get; set; } = 0.5f;
        public float Roughness { get; set; } = 0.5f;

        public MeshPartData(
            VertexBuffer vertexBuffer,
            IndexBuffer indexBuffer,
            Vector3[] positions,
            Triangle[] triangles
        )
        {
            VertexBuffer = vertexBuffer;
            IndexBuffer = indexBuffer;
            Positions = positions;
            Triangles = triangles;
        }
    }
}
